#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 11. General Utilities

- Prev

  Bogofilter-1.2.5

- Next

  desktop-file-utils-0.28

- Up
- Home

# Compface-1.5.2

## Introduction to Compface

Compface provides utilities and a library to convert from/to X-Face format, a 48x48 bitmap format used to carry thumbnails of email authors in a mail header.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://anduin.linuxfromscratch.org/BLFS/compface/compface-1.5.2.tar.gz

- Download MD5 sum: 62f4f79c0861ad292ba3cf77b4c48319

- Download size: 47 KB

- Estimated disk space required: 520 KB

- Estimated build time: less than 0.1 SBU

## Installation of Compface

First, fix the configure script so that it's C99 compatible:

    autoreconf

Next, fix a build failure that occurs with GCC 14:

    sed -e '/compface.h/a #include <unistd.h>' \
        -i cmain.c                             \
        -i uncmain.c

Install Compface by running the following commands:

    ./configure --prefix=/usr --mandir=/usr/share/man &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    install -m755 -v xbm2xface.pl /usr/bin

## Contents

Installed Programs: compface, uncompface and xbm2xface.pl
Installed Library: libcompface.a
Installed Directories: None

### Short Descriptions

compface | is a filter for generating highly compressed representations of 48x48x1 face image files
uncompface | is an inverse filter which performs an inverse transformation with no loss of data
xbm2xface.pl | is a script to generate xfaces
`libcompface.a` | allows the compression and decompression algorithms to be used in other programs such as MTAs

- Prev

  Bogofilter-1.2.5

- Next

  desktop-file-utils-0.28

- Up
- Home